### `window`

Event fires when the window state changes (open/close).

**Parameters:**
- `options: WindowEmitOptions` — object with window data

**WindowEmitOptions structure:**
- `id: string` — unique window identifier
- `element: HTMLDivElement` — window DOM element
- `control: HTMLElement` — control DOM element
- `open: boolean` — window open state (`true` - open, `false` - closed)

```html
<script setup>
const handleWindow = (options) => {
  console.log('Window ID:', options.id)
  console.log('Window is open:', options.open)
  console.log('Window element:', options.element)
  console.log('Control element:', options.control)
}
</script>

<template>
  <Window @window="handleWindow">
    <template #default>
      <p>Window content</p>
    </template>
  </Window>
</template>
```
